<?
// $from=id|bank у кого

// получаем предмет для описания
if ($look=="item.vinokl") msg("<strong>Винокль</strong> - Позволяет смотреть следущее локации. Показывает, что там есть. Но Вы не заходите на нее, просто смотрите.");
if (!$from) if (!isset($game["loc"][$player["loc"]][$look])) msg("<p>Не на что смотреть"); else $item=$game["loc"][$player["loc"]][$look];
if ($from=='bank') if (!isset($player["bank"][$look])) msg("<p>Не на что смотреть"); else $item=$player["bank"][$look];
if ($from && $from!='bank') {// нпс
if (!isset($game["loc"][$player["loc"]][$from])) msg("<p>Нет существа, у которого предмет");
if ($game["loc"][$player["loc"]][$from]["trader"]) {
if (!isset($game["loc"][$player["loc"]][$from]["bank"][$look])) msg("<p>У торговца нет этого предмета");
$item=split("=",$game["loc"][$player["loc"]][$from]["bank"][$look]);
$item=$item[1];
}else if (!isset($game["loc"][$player["loc"]][$from]["items"][$look])) msg("<p>У существа нет этого предмета"); else $item=$game["loc"][$player["loc"]][$from]["items"][$look];
}

$item=split("\|",$item);
$stmp.="<strong>".$item[0]."</strong>";
if (substr($look,0,15)=='item.stand.died'){ $stmp.="<br>труп, можно разделать ножом";
$stmp.="<br/>(Удалится через ".date("i мин s сек",$game["loc_del"][$player["loc"]][$look]-time()).")";
$stmp.="<br/>Убил <strong>".$item[4]."</strong>";
}
if (substr($look,0,10)=='item.stand' && substr($look,0,15)!='item.stand.died') $stmp.="<br>".$item[1];
if (substr($look,0,16)=='item.stand.port.') $stmp.="<br/>Порт существует, еще
<br/><strong>".date("i мин s сек",$game["loc_del"][$player["loc"]][$look]-time())."</strong>";
if (substr($look,0,15)=='item.recallrune') $stmp.="<br>* Не помечaная<br/>руна для телепортации";
if (substr($look,0,10)=='item.armor'){ if ($item[3]) $stmp.="<br><u>Броня</u>: +".$item[3]."";
if ($item[4]) $stmp.="<br/>Уровень<br/><u>Уровень исп.</u>: ".$item[4]."";
if ($item[5]) $stmp.="<br/><u>Жизнь</u>: +".$item[5]."";
if ($item[6]) $stmp.="<br/><u>Мана</u>: +".$item[6]."";
if ($item[7]) $stmp.="<br/><u>Парирование</u>: +".$item[7]."%";
if ($item[8]) $stmp.="<br/><u>Уклон</u>: +".$item[8]."%";
}
if (substr($look,0,10)=='item.bija.') {
if (substr($look,0,17)=='item.bija.amulet.') $stmp.="<br>Тип вещи: Амулет";
if (substr($look,0,15)=='item.bija.belt.') $stmp.="<br>Тип вещи: Пояс";
if (substr($look,0,17)=='item.bija.palec1.') $stmp.="<br>Тип вещи: Перстень правой руки";
if (substr($look,0,17)=='item.bija.palec2.') $stmp.="<br>Тип вещи: Перстень левой руки";
if($item[3] > 0) $stmp.="<br>Нужен уровень: ".$item[3];
if($item[4] > 0) $stmp.="<br>Броня + ".$item[4];
if($item[5] > 0) $stmp.="<br>Жизни + ".$item[5];
if($item[6] > 0) $stmp.="<br>Мана + ".$item[6];
if($item[7] > 0) $stmp.="<br>Точность + ".$item[7];
if($item[8] > 0) $stmp.="<br>Уклон + ".$item[8];
if($item[9] > 0) $stmp.="<br>Парировать + ".$item[9];
if($item[10] > 0) $stmp.="<br>Маг уклон + ".$item[10];
if($item[11] > 0) $stmp.="<br>Маг парировать + ".$item[11]; }
if (substr($look,0,20)=='item.armor.body.prem') $stmp.="<br/>* Премиум вещь<br/>* Именное<br/><strong>Покупатель</strong>: $item[5]";
if (substr($look,0,9)=='item.note') $stmp.="<br>листок бумаги с текстом";
if (substr($look,0,11)=='item.scroll') $stmp.="<br>свиток заклинания, не требует наличия магических реагентов, исчезает после прочтения<br><a href=\"$PHP_SELF?sid=$sid&look=magic".substr($look,11)."\">Описание</a><br/><strong>Уровень</strong>: ".$item[3]."";
if (substr($look,0,9)=='item.rune') $stmp.="<br>руна заклинания, не требует наличия магических реагентов, не исчезает после прочтения<br><a href=\"$PHP_SELF?sid=$sid&look=magic".substr($look,9)."\">Описание</a><br/><strong>Уровень</strong>: ".$item[3]."";
if (substr($look,0,9)=='item.food') $stmp.="<br>пища восстанавливает здоровье и иногда ману<br><strong>Здоровье</strong> +".$item[3]."<br><strong>Мана</strong> +".$item[4];
if (substr($look,0,12)=='item.weapon.') {
if (substr($look,0,16)=='item.weapon.prem') $stmp.="<br/>* Именное, премиум вещь<br/><strong>Покупатель</strong>: ".$item[11]."";
$stmp.="<br><strong>Тип</strong>: ";
$stmp.="оружие";
if (substr($look,0,11)=='item.amulet') {
if($item[3] > 0) $stmp.="<br>Нужен уровень: ".$item[3];
if($item[4] > 0) $stmp.="<br>Броня + ".$item[4];
if($item[5] > 0) $stmp.="<br>Жизни + ".$item[5];
if($item[6] > 0) $stmp.="<br>Мана + ".$item[6];
if($item[7] > 0) $stmp.="<br>Точность + ".$item[7];
if($item[8] > 0) $stmp.="<br>Уклон + ".$item[11];
if($item[9] > 0) $stmp.="<br>Парировать + ".$item[9];
if($item[10] > 0) $stmp.="<br>Маг уклон + ".$item[10];
if($item[11] > 0) $stmp.="<br>Маг парировать + ".$item[11]; }
if (substr($look,0,18)=='item.weapon.ranged') $stmp.=" стрелковое/метательное";
if (substr($look,0,17)=='item.weapon.knife') $stmp.="<br>подходит для разделки трупов";
$stmp.="<br><strong>Урон</strong>: ".$item[3]."-".$item[4]." ~/".$item[7]."<br><strong>Минимум силы</strong>: ".$item[5]."<br/><strong>Скорость</strong>: ".$item[6];
if ($item[8]) $stmp.="<br/><strong>Использует</strong>: ".$item[9]."";
$stmp.="<br/><strong>Уровень</strong>: ".$item[10]."";

}
if (substr($look,0,11)=='item.chert.') {
$stmp.="<br><u>Необходимо</u>:";
$stmp.="<br>- инженер ".$item[6];
if ($item[3]==0){
$stmp.="<br>- дерево ".$item[14];
$stmp.="<br>- камень ".$item[15];
}
if ($item[3]==1){
$stmp.="<br>- дерево ".$item[8];
$stmp.="<br>- камень ".$item[9];
}
$skills=split("\|",$player["skills"]);
$ver=round($skills[1]/$item[4]*100);
if ($item[4]==0) $ver=100;
$stmp.="<br>- вероятность успеха $ver%";
}
//if (substr($look,0,10)!='item.stand') $stmp.="<br>Цена: ".$item[2];
?>


